#pragma once
#ifndef PACMAN_H
#define PACMAN_H

#include"Files.h"
#include"Timer.h"
#include"Board.h"
#include"Enemy.h"

class PacMan
{
public:
    //  ,    
    PacMan(Board& board);

    //      
    void move();

    void update();

    void damage() { m_health--; }

    // True,     
    bool isAlive() { return m_health > 0; }
    bool isFinish() { return m_board.countDots == 0; }

    int getLevel() { return m_level; }
    int getScore() { return m_score; }

    int eatenDots() { return dots; }

    void printBoard() { m_board.print(); }

    // 
    Board m_board;

    // 
    int coordX = 24;
    int coordY = 13;

private:
    // , ,   
    int m_level = 1;
    int m_health = 3;
    int m_score = 0;
    Timer m_time;

    void moveUp();
    void moveLeft();
    void moveRight();
    void moveDown();

    int dots = 0;

    //  
    void updateScore();
};

#endif // !PACMAN_H