#pragma once
#ifndef ENEMY_H
#define ENEMY_H

#include"Files.h"
#include"Tools.h"
#include"Board.h"
#include"PacMan.h"

class Enemy
{
public:
	Enemy();

	void move(PacMan& pacman);

	void update();

	int coordX = 24;
	int coordY = 6;

	char getOldField() { return oldField; }
	bool isActive = false;
	
private:
	Board m_board;

	static int countEnemies;
	int id;

	char oldField = ' ';


	char name = '\n';

	int getRandomEnemyMoving();

	void moveUp();    //  
	void moveLeft();  //  
	void moveRight(); //  
	void moveDown();  //  
};

#endif // !ENEMY_H