#include"Menu.h"

//          
static std::fstream chart;

//  : 
void Start()
{
    //   - 
    SetColor(Green, Black);

    std::cout << "\n\n\n\n\n";

    std::cout << "     #######   ###   ####### ##    #   ###   ##    #     ";
    std::cout << "     ##    #  ##  #  ##      ###  ##  ##  #  ###   #     ";
    std::cout << "     ##    # ##    # ##      ####### ##    # ####  #     ";
    std::cout << "     ####### ##    # ##      ## ## # ##    # ## ## #     ";
    std::cout << "     ##      ####### ##      ##    # ####### ##  ###     ";
    std::cout << "     ##      ##    # ##      ##    # ##    # ##   ##     ";
    std::cout << "     ##      ##    # ####### ##    # ##    # ##    #     ";

    std::cout << "\n\n\n\n\n";

    //    Enter     
    while (true)
    {
        //     
        int timer = 720;

        std::cout << "\r            ( Enter  )";
        Sleep(timer);

        std::cout << "\r                                           ";
        Sleep(timer);

        //           
        while (_kbhit())
        {
            //    
            int choice = _getch();
            if (choice == 0 || choice == 224) choice = _getch();

            //    Enter        
            if (choice == VK_RETURN)
            {
                system("cls");
                return;
            }
        }
    }
}

//  :  
void Game()
{
    //   - 
    SetColor(Green, Black);

    //4     
    std::array<std::string, 4> cases
    {
        "\n\n\n\n\n\n\t\t   <<      >>\n\n\n\t\t\t\n\n\n\t\t\t \n\n\n\t\t\t\n\n",
        "\n\n\n\n\n\n\t\t\t\n\n\n\t\t   <<      >>\n\n\n\t\t\t \n\n\n\t\t\t\n\n",
        "\n\n\n\n\n\n\t\t\t\n\n\n\t\t\t\n\n\n\t\t   <<       >>\n\n\n\t\t\t\n\n",
        "\n\n\n\n\n\n\t\t\t\n\n\n\t\t\t\n\n\n\t\t\t \n\n\n\t\t   <<      >>\n\n"
    };
    
    //    
    std::cout << cases[0];

    //      
    int activeCase = 0;

    int choice;
    do
    {
        //  
        choice = _getch();
        system("cls");

        //   
        if (choice == 0 || choice == 224)
        {
            //  
            choice = _getch();

            //    
            if (choice == 72)
            {
                //    ,    
                //       
                if (activeCase != 0)
                {
                    std::cout << cases[activeCase - 1];
                    activeCase--;
                }
                else
                {
                    std::cout << cases[3];
                    activeCase = 3;
                }
            }
            //    
            else if (choice == 80)
            {
                //    ,    
                //       
                if (activeCase != 3)
                {
                    std::cout << cases[activeCase + 1];
                    activeCase++;
                }
                else
                {
                    std::cout << cases[0];
                    activeCase = 0;
                }
            }
            //      
            else std::cout << cases[activeCase];
        }
        //      
        else std::cout << cases[activeCase];

    } while (choice != VK_RETURN); //  ,      Enter

    system("cls");

    //      
    switch (activeCase)
    {
    case 0: Play(); break;
    case 1: Help(); break;
    case 2: Top();  break;
    case 3: Exit(); break;
    }
}

bool isEaten(int pacmanX, int pacmanY, int enemyX, int enemyY, int pacmanOldX, int pacmanOldY, int enemyOldX, int enemyOldY)
{
    return (pacmanX == enemyX && pacmanY == enemyY) || (pacmanOldX == enemyX && pacmanOldY == enemyY && enemyOldX == pacmanX && enemyOldY == pacmanY);
}

void Update(PacMan& pacman, Enemy& Blinky, Enemy& Pinky, Enemy& Inky, Enemy& Clyde)
{
    system("cls");
    SetCoordCursor(0, 0);
    pacman.printBoard();
    pacman.update();
    Blinky.update();
    Pinky.update();
    Inky.update();
    Clyde.update();
}

void updateMove(PacMan& pacman, Enemy& Blinky, Enemy& Pinky, Enemy& Inky, Enemy& Clyde)
{
    

    SetCoordCursor(pacman.coordX + 4, pacman.coordY + 3);
    std::cout << ' ';

    pacman.damage();
    pacman.update();

    int enemyOldX = Blinky.coordX;
    int enemyOldY = Blinky.coordY;
    bool isActive = Blinky.isActive;
    Blinky.update();
    if (isActive)
    {
        SetCoordCursor(enemyOldX + 4, enemyOldY + 3);
        SetColor(White, Black);
        std::cout << Blinky.getOldField();
    }
    enemyOldX = Pinky.coordX;
    enemyOldY = Pinky.coordY;
    isActive = Pinky.isActive;
    if (isActive)
    {
        SetCoordCursor(enemyOldX + 4, enemyOldY + 3);
        SetColor(White, Black);
        std::cout << Pinky.getOldField();
        SetCoordCursor(26, 9);
        SetColor(LightMagenta, Black);
        std::cout << 'P';
    }
    else
    {
        SetCoordCursor(26, 9);
        SetColor(LightMagenta, Black);
        std::cout << 'P';
    }
    enemyOldX = Inky.coordX;
    enemyOldY = Inky.coordY;
    isActive = Inky.isActive;
    Inky.update();
    if (isActive)
    {
        SetCoordCursor(enemyOldX + 4, enemyOldY + 3);
        SetColor(White, Black);
        std::cout << Inky.getOldField();
        SetCoordCursor(28, 9);
        SetColor(LightCyan, Black);
        std::cout << 'I';
    }
    else
    {
        SetCoordCursor(28, 9);
        SetColor(LightCyan, Black);
        std::cout << 'I';
    }
    enemyOldX = Clyde.coordX;
    enemyOldY = Clyde.coordY;
    isActive = Clyde.isActive;
    Clyde.update();
    if (isActive)
    {
        SetCoordCursor(enemyOldX + 4, enemyOldY + 3);
        SetColor(White, Black);
        std::cout << Clyde.getOldField();
        SetCoordCursor(30, 9);
        SetColor(LightGreen, Black);
        std::cout << 'C';
    }
    else
    {
        SetCoordCursor(30, 9);
        SetColor(LightGreen, Black);
        std::cout << 'C';
    }
}

void EnemyMove(PacMan& pacman, Enemy& Blinky, Enemy& Pinky, Enemy& Inky, Enemy& Clyde, int pacmanOldX, int pacmanOldY)
{
    int enemyOldX;
    int enemyOldY;

    enemyOldX = Blinky.coordX;
    enemyOldY = Blinky.coordY;
    Blinky.move(pacman);
    if (isEaten(pacman.coordX, pacman.coordY, Blinky.coordX, Blinky.coordY, pacmanOldX, pacmanOldY, enemyOldX, enemyOldY))
    {
        updateMove(pacman, Blinky, Pinky, Inky, Clyde);
    }

    enemyOldX = Pinky.coordX;
    enemyOldY = Pinky.coordY;
    Pinky.move(pacman);
    if (isEaten(pacman.coordX, pacman.coordY, Pinky.coordX, Pinky.coordY, pacmanOldX, pacmanOldY, enemyOldX, enemyOldY))
    {
        updateMove(pacman, Blinky, Pinky, Inky, Clyde);
    }

    enemyOldX = Inky.coordX;
    enemyOldY = Inky.coordY;
    Inky.move(pacman);
    if (isEaten(pacman.coordX, pacman.coordY, Inky.coordX, Inky.coordY, pacmanOldX, pacmanOldY, enemyOldX, enemyOldY))
    {
        updateMove(pacman, Blinky, Pinky, Inky, Clyde);
    }

    enemyOldX = Clyde.coordX;
    enemyOldY = Clyde.coordY;
    Clyde.move(pacman);
    if (isEaten(pacman.coordX, pacman.coordY, Clyde.coordX, Clyde.coordY, pacmanOldX, pacmanOldY, enemyOldX, enemyOldY))
    {
        updateMove(pacman, Blinky, Pinky, Inky, Clyde);
    }
}

//
void Play()
{
    int oldX;
    int oldY;

    system("cls");

    Board board;
    PacMan pacman(board);
    board.print();
    
    pacman.update();

    Enemy Blinky;
    Enemy Pinky;
    Enemy Inky;
    Enemy Clyde;
    
    while (!_kbhit());
    while (pacman.isAlive() && pacman.getLevel() < 256)
    {
        if (pacman.getLevel() > 24)
        {
            oldX = pacman.coordX;
            oldY = pacman.coordY;

            pacman.move();
            if (pacman.isFinish())      Update(pacman, Blinky, Pinky, Inky, Clyde);
            for (int i = 0; i < 3; i++) EnemyMove(pacman, Blinky, Pinky, Inky, Clyde, oldX, oldY);
        }
        else if (pacman.getLevel() > 9)
        {
            oldX = pacman.coordX;
            oldY = pacman.coordY;

            pacman.move();
            if (pacman.isFinish())      Update(pacman, Blinky, Pinky, Inky, Clyde);
            for (int i = 0; i < 2; i++) EnemyMove(pacman, Blinky, Pinky, Inky, Clyde, oldX, oldY);
        }
        else if (pacman.getLevel() > 3)
        {
            oldX = pacman.coordX;
            oldY = pacman.coordY;

            EnemyMove(pacman, Blinky, Pinky, Inky, Clyde, oldX, oldY);

            oldX = pacman.coordX;
            oldY = pacman.coordY;

            pacman.move();
            if (pacman.isFinish()) Update(pacman, Blinky, Pinky, Inky, Clyde);

            EnemyMove(pacman, Blinky, Pinky, Inky, Clyde, oldX, oldY);
        }
        else
        {
            oldX = pacman.coordX;
            oldY = pacman.coordY;

            pacman.move();
            if (pacman.isFinish()) Update(pacman, Blinky, Pinky, Inky, Clyde);

            EnemyMove(pacman, Blinky, Pinky, Inky, Clyde, oldX, oldY);
        }
    }

    system("cls");
    SetColor(Green, Black);

    if (pacman.getLevel() == 256)
    {
        std::cout << "\n\n\n\n\n";
        std::cout << "\t     /----------------------------\\\n";
        std::cout << "\t     |                            |\n";
        std::cout << "\t     |                            |\n";
        std::cout << "\t     |         !       |\n";
        std::cout << "\t     |                            |\n";
        std::cout << "\t     |          !       |\n";
        std::cout << "\t     |                            |\n";
        std::cout << "\t     |        :           |\n";
        std::cout << "\t     |                            |\n";
        std::cout << "\t     |                            |\n";
        std::cout << "\t     \\----------------------------/\n";

        SetCoordCursor(32, 12);
        std::cout << pacman.getScore();


        SetCoordCursor(0, 20);
        while (true)
        {
            //     
            int timer = 720;

            std::cout << "\r            ( Enter  )";
            Sleep(timer);

            std::cout << "\r                                           ";
            Sleep(timer);

            //           
            while (_kbhit())
            {
                //    
                int choice = _getch();
                if (choice == 0 || choice == 224) choice = _getch();

                //    Enter        
                if (choice == VK_RETURN)
                {
                    system("cls");

                    Game();
                    return;
                }
            }
        }

        Game();
    }

    else
    {
        std::cout << "\n\n\n\n\n";
        std::cout << "\t     /----------------------------\\\n";
        std::cout << "\t     |                            |\n";
        std::cout << "\t     |                            |\n";
        std::cout << "\t     |          !         |\n";
        std::cout << "\t     |                            |\n";
        std::cout << "\t     |         !       |\n";
        std::cout << "\t     |                            |\n";
        std::cout << "\t     |        :            |\n";
        std::cout << "\t     |                            |\n";
        std::cout << "\t     |                            |\n";
        std::cout << "\t     \\----------------------------/\n";

        SetCoordCursor(32, 12);
        std::cout << pacman.getScore();


        SetCoordCursor(0, 20);
        while (true)
        {
            //     
            int timer = 720;

            std::cout << "\r            ( Enter  )";
            Sleep(timer);

            std::cout << "\r                                           ";
            Sleep(timer);

            //           
            while (_kbhit())
            {
                //    
                int choice = _getch();
                if (choice == 0 || choice == 224) choice = _getch();

                //    Enter        
                if (choice == VK_RETURN)
                {
                    system("cls");

                    Game();
                    return;
                }
            }
        }
    }
}

//   
void Help()
{
    //   - 
    SetColor(Green, Black);

    //  
    std::cout << "\n\t\t\t :\n"
        "      -               "
        "    ,            .\n\n"
        "\t\t :\n"
        "                 ,"
        "       ,     .\n\n"
        "                       Esc.\n\n"
        "               .\n\n"
        "\t\t :\n"
        "                      ."
        "             (  6 )."
        "            .";

    //    Esc   
    while (true)
    {
        //    
        int choice = _getch();
        if (choice == 0 || choice == 224) choice = _getch();

        //    Esc        
        //   
        if (choice == VK_ESCAPE)
        {
            system("cls");
            Game();
            return;
        }
    }
}

//    
void Top()
{
    SetColor(Green, Black);
    std::cout << "\n\n\n\n\t\t       !";

    //    Esc   
    while (true)
    {
        //    
        int choice = _getch();
        if (choice == 0 || choice == 224) choice = _getch();

        //    Esc        
        //   
        if (choice == VK_ESCAPE)
        {
            system("cls");
            Game();
            return;
        }
    }
}

//    
void Exit()
{
    //   ,   
    if (!chart) chart.close();

    // 
    system("taskkill /F /IM cmd.exe");
}

void AddTop(std::string name, int score, int level)
{
    //std::cout << "\t    John        237          23:12,23" << '\n';
    //std::cout << "\t    Johnt       2            23:12,23" << '\n';
    //std::cout << "\t    Jhn         20           23:12,23" << '\n';
    //std::cout << "\t    John        237000       23:12,23" << '\n';
    //std::cout << "\t    Jn          2370         23:12,23" << '\n';
    //std::cout << "\t    n           2370         23:12,23" << '\n';
    //std::cout << "\t    John        237          23:12,23" << '\n';
    //std::cout << "\t    Joghn       2370         23:12,23" << '\n';
    //std::cout << "\t    John        23700        23:12,23" << '\n';
    //std::cout << "\t    John        2370         23:12,23" << '\n';
}